#!/system/bin/sh
#
# This script is intended to be run AFTER flashing a new ROM or firmware
# and BEFORE any ModemRIL script has been flashed
# This backs up the firmware's RIL files to /sdcard/MyBackups/BackupRIL
#
BKP_BASE=/sdcard/MyBackups
BKP_RIL_DIR=${BKP_BASE}/BackupRIL
FILE_LIST=${BKP_RIL_DIR}/FileList.txt
BKP_PROP=${BKP_RIL_DIR}/Backup.prop

# Create /sdcard/MyBackups if it does not exist
if [ ! -d ${BKP_BASE} ]; then 
  mkdir ${BKP_BASE}
fi
# Remove previous backup
if [ -d ${BKP_RIL_DIR} ]; then
  rm -fr ${BKP_RIL_DIR}
fi
# Create backup folder ready for backup
mkdir ${BKP_RIL_DIR}

# Now back up the current RIL files to sdcard
echo "/system/lib/libril.so
/system/lib/libsec-ril.so
/system/lib/libsecril-client.so
/system/lib/libsecril-client-sap.so
/system/bin/drexe" > ${FILE_LIST}

if [ -e ${FILE_LIST} ]; then
  for f in `cat ${FILE_LIST}`; do
    if [ -e ${f} ]; then
	  cp ${f} ${BKP_RIL_DIR}
	fi
  done;
fi

echo "backup.done=1">>${BKP_PROP}
